
class TestHex < Test::Unit::TestCase
  def test_string
    str = "ciao\n"
    hex = "6369616f0a"
    assert_equal(YubiRuby::HEX.encode(str), hex)
    assert_equal(YubiRuby::HEX.decode(hex), str)
  end
  
  def test_reversible_operation
    str = "ciao\n"
    hex = "6369616f0a"
    assert_equal(YubiRuby::HEX.decode(YubiRuby::HEX.encode(str)), str)
    assert_equal(YubiRuby::HEX.encode(YubiRuby::HEX.decode(hex)), hex)
  end
  
  def test_no_hex_encoded_exception
    assert_raise YubiRuby::NoHexEncodedError do YubiRuby::HEX.decode('a') end
    assert_raise YubiRuby::NoHexEncodedError do YubiRuby::HEX.decode('zebr') end
    assert_raise YubiRuby::NoHexEncodedError do YubiRuby::HEX.decode('!af5') end
    assert_raise YubiRuby::NoHexEncodedError do YubiRuby::HEX.decode('0x12ff') end
    assert !YubiRuby::HEX.hex?('a') 
    assert !YubiRuby::HEX.hex?('zebr') 
    assert !YubiRuby::HEX.hex?('!af5') 
    assert !YubiRuby::HEX.hex?('0x12ff') 
    assert YubiRuby::HEX.hex?('7af5') 
    assert YubiRuby::HEX.hex?('12fF')
  end
end