class TestModHex < Test::Unit::TestCase
  def test_string
    str = "pippo234strd"
    assert_equal(enc = str.modhex_encode, YubiRuby::ModHex.encode(str))
    assert_equal(enc.modhex_decode, YubiRuby::ModHex.decode(enc))
    assert_equal(str, str.modhex_encode().modhex_decode())
    assert(enc.modhex?)
  end
  
  def test_reversible_operation
    str = "test"
    hex = "ifhgieif"
    assert(hex.modhex?)
    assert_equal(YubiRuby::ModHex.decode(YubiRuby::ModHex.encode(str)), str)
    assert_equal(YubiRuby::ModHex.encode(YubiRuby::ModHex.decode(hex)), hex)
  end
  
  def test_no_modhex_encoded_exception
    assert !YubiRuby::ModHex.modhex?('a') 
    assert !YubiRuby::ModHex.modhex?('zebr') 
    assert !YubiRuby::ModHex.modhex?('!af5') 
    assert !YubiRuby::ModHex.modhex?('0x12ff') 
    assert YubiRuby::ModHex.modhex?('ifhgieif') 
    assert YubiRuby::ModHex.modhex?('ichkicichv')
    assert_raise YubiRuby::NoModHexEncodedError do YubiRuby::ModHex.decode('a') end
    assert_raise YubiRuby::NoModHexEncodedError do YubiRuby::ModHex.decode('zebr') end
    assert_raise YubiRuby::NoModHexEncodedError do YubiRuby::ModHex.decode('!af5') end
    assert_raise YubiRuby::NoModHexEncodedError do YubiRuby::ModHex.decode('0x12ff') end
  end
  
  def test_length
    otp = 'dbkutdgrnlvrhdiregebvkkrgtuefjru'
    assert_equal(32, otp.size)
    assert_equal(16, otp.modhex_decode.size)
  end
end